%define lazarus_version	1.8.4

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qt5pas
Version:	2.6
Release:	%mkrel 2
Summary:	Qt5 bindings for pascal
License:	LGPLv3+
Group:		System/Libraries
Url:		https://github.com/graemeg/lazarus/tree/upstream/lcl/interfaces/qt5/cbindings
Source0:	https://download.sourceforge.net/lazarus/lazarus-%{lazarus_version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
Obsoletes:      qt5pas <= %{version}-%{release}

%description
Qt5 bindings for pascal from Lazarus.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Free Pascal Qt5 binding
Group:		System/Libraries

%description -n	%{libname}
The Free Pascal Qt5 binding that allows Free Pascal
to interface with the C++ Library Qt.

%files -n %{libname}
%doc lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:      qt5pas-devel <= %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so

#----------------------------------------------------------------------------

%prep
%setup -qn lazarus

%build
pushd lcl/interfaces/qt5/cbindings/
	%qmake_qt5
	%make_build
popd

%install
pushd lcl/interfaces/qt5/cbindings/
	%make_install INSTALL_ROOT=%{buildroot}
popd


%changelog
* Sat Oct 24 2020 pp <pp> 2.6-2pclos2020
- initial package qt5pas

